import type { SchemaType } from 'mongodb-schema';
export declare function sortTypes(types?: SchemaType[]): SchemaType[];
type FieldTypeProps = {
    types?: SchemaType[];
    activeType?: SchemaType & {
        isInArray?: boolean;
    };
    type: SchemaType;
    typeName: string;
    probability: number;
    onSetTypeActive: (type: SchemaType) => void;
    showSubTypes: boolean;
};
declare function FieldType({ type, typeName, types, activeType, probability, onSetTypeActive, showSubTypes, }: FieldTypeProps): JSX.Element;
export { FieldType };
//# sourceMappingURL=type.d.ts.map