import type { AggregateOptions, Filter, Document } from 'mongodb';
import type { DataService } from 'mongodb-data-service';
import type { Schema } from 'mongodb-schema';
export declare const analyzeSchema: (dataService: Pick<DataService, 'sample' | 'isCancelError'>, abortSignal: AbortSignal, ns: string, query: {
    query?: Filter<Document> | undefined;
    size?: number | undefined;
    fields?: Document | undefined;
} | undefined, aggregateOptions: AggregateOptions) => Promise<Schema | null>;
export declare function calculateSchemaDepth(schema: Schema): number;
export declare function schemaContainsGeoData(schema: Schema): boolean;
//# sourceMappingURL=schema-analysis.d.ts.map